<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from s_d_bigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="percents_d_bigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>s_d_bigint</refname>
    <refpurpose>overloading  compatibility for binary operator ./ (element wise right division) with double/bigint</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>y,q:</term>
            <listitem><para> bigint</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>x :</term>
            <listitem><para> scalar (double)</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
double/bigint "element wise right division"
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

x=98765432
y=bigint('12345678')
q=x./y             //  bigint division
98765432/12345678  // verify
(x*ones(2,2))./y   // matrix case


   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="bigint_d_bigint">bigint_d_bigint</link></member>
   <member><link linkend="mbigint_d_bigint">mbigint_d_bigint</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
